Package org.eclipse.net4j.util

# Interface StringConverter

All Superinterfaces:
  `Function<Object,String>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface StringConverter extends Function<Object,String>
Converts any kind of `objects` to strings.

Since:
  3.23
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`StringConverter.MetaFactory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StringConverter`
`CAP`
`static final StringConverter`
`CAP_ALL`
`static final StringConverter`
`CHARS`
`static final StringConverter`
`ESCAPE`
`static final StringConverter`
`IDENTITY`
`static final StringConverter`
`LOWER`
`static final StringConverter`
`NET4J_CONFIG_PATH`
`static final StringConverter`
`NET4J_STATE_PATH`
`static final StringConverter`
`NET4J_USER_PATH`
`static final String`
`PRODUCT_GROUP`
`static final StringConverter`
`PROPERTY_URI`
`static final StringConverter`
`SAFE`
`static final StringConverter`
`STRIP_HTML`
`static final StringConverter`
`SYSTEM_PROPERTY`
`static final StringConverter`
`UNCAP`
`static final StringConverter`
`UNCAP_ALL`
`static final StringConverter`
`UNESCAPE`
`static final StringConverter`
`UPPER`

## Method Summary

Modifier and Type
Method
Description
`default StringConverter`
`andThen(StringConverter after)`
`String`
`apply(Object value)`
`default StringConverter`
`compose(StringConverter before)`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### IDENTITY

static final StringConverter IDENTITY

### CHARS

static final StringConverter CHARS

### SAFE

static final StringConverter SAFE

### UPPER

static final StringConverter UPPER

### LOWER

static final StringConverter LOWER

### CAP

static final StringConverter CAP

### CAP_ALL

static final StringConverter CAP_ALL

### UNCAP

static final StringConverter UNCAP

### UNCAP_ALL

static final StringConverter UNCAP_ALL

### ESCAPE

static final StringConverter ESCAPE

### UNESCAPE

static final StringConverter UNESCAPE

### STRIP_HTML

static final StringConverter STRIP_HTML

Since:
  3.26

### NET4J_USER_PATH

static final StringConverter NET4J_USER_PATH

### NET4J_STATE_PATH

static final StringConverter NET4J_STATE_PATH

### NET4J_CONFIG_PATH

static final StringConverter NET4J_CONFIG_PATH

### SYSTEM_PROPERTY

static final StringConverter SYSTEM_PROPERTY

### PROPERTY_URI

static final StringConverter PROPERTY_URI

## Method Details

### apply

String apply(Object value)

Specified by:
  `apply` in interface `Function<Object,String>`

### compose

default StringConverter compose(StringConverter before)

### andThen

default StringConverter andThen(StringConverter after)